#!/usr/bin/python
import os

swap_conf = '/usr/lib/tmpfiles.d/swappiness.conf'

def make_conf(message):
    try:
        logger = open(swap_conf, 'a')
        logger.write(message + '\n')
        logger.close()
    except IOError:
        print("Can't write to conf file: " + swap_conf)


def get_swappiness():
    try:
        with open('/proc/sys/vm/swappiness') as f:
            swappiness = int(f.read())
        if swappiness in range(0, 101):
            return swappiness
        else:
            return False
    except Exception:
        return False
 


def main():
    swappiness = get_swappiness()
    if swappiness:
        if os.path.exists(swap_conf):
            os.remove(swap_conf)
        make_conf('w /sys/fs/cgroup/memory/system.slice/memory.swappiness - - - - {}'.format(swappiness))
        make_conf('w /sys/fs/cgroup/memory/user.slice/memory.swappiness - - - - {}'.format(swappiness))
        make_conf('w /sys/fs/cgroup/memory/machine.slice/memory.swappiness - - - - {}'.format(swappiness))
        make_conf('w /sys/fs/cgroup/memory/vstorage.slice/memory.swappiness - - - - {}'.format(swappiness))
        os.system("/usr/bin/systemd-tmpfiles --create --remove")


if __name__ == '__main__':
    main()
